input[type="search"] {    
    width: 100%;
    box-sizing: border-box;
    padding: 10px;
    border-radius: 5px;
}

.like-textarea {
    white-space: pre-wrap !important;
}

.dropdown,
.dropdown-center {
    position: relative;
}

.dropdown-toggle {
    cursor: pointer;
    white-space: nowrap;
}

.dropdown-toggle::after {
    display: inline-block;
    margin-left: 0.255em;
    vertical-align: 0.255em;
    content: "";
    border-top: 0.3em solid;
    border-right: 0.3em solid transparent;
    border-bottom: 0;
    border-left: 0.3em solid transparent;
}

.dropdown-toggle:empty::after {
    margin-left: 0;
}

.dropdown-menu {
    --dropdown-zindex: 1000;
    --dropdown-min-width: 10rem;
    --dropdown-padding-x: 0;
    --dropdown-padding-y: 0;
    --dropdown-font-size: 1rem;
    --dropdown-color: #212529;
    --dropdown-bg: #fff;
    --dropdown-border-color: rgba(0, 0, 0, 0.175);
    --dropdown-border-radius: 0.25rem;
    --dropdown-border-width: 1px;
    --dropdown-empty-font-size: 80%;
    --dropdown-empty-color: rgba(33, 37, 41, 0.75);
    --dropdown-selecter-padding: 0.375rem;
    --dropdown-item-padding-x: 0.75rem;
    --dropdown-item-padding-y: 0.5rem;
    --dropdown-item-color: rgba(33, 37, 41, 0.75);
    --dropdown-item-width: 50%;
    --dropdown-item-hover-color: #212529;
    --dropdown-item-hover-bg: #e2e3e5;
    position: absolute;
    z-index: var(--dropdown-zindex);
    display: none;
    min-width: var(--dropdown-min-width);
    padding: var(--dropdown-padding-y) var(--dropdown-padding-x);
    margin: 0;
    font-size: var(--dropdown-font-size);
    color: var(--dropdown-color);
    text-align: left;
    list-style: none;
    background-color: var(--dropdown-bg);
    background-clip: padding-box;
    border: var(--dropdown-border-width) solid var(--dropdown-border-color);
    border-radius: var(--dropdown-border-radius);
}

.dropdown-menu.show {
    display: block;
    min-width: 100%;
}

.dropdown-menu .empty {
    font-size: var(--dropdown-empty-font-size);
    font-weight: 300;
    color: var(--dropdown-empty-color);
    text-align: center;
    padding: 8px;
}

.dropdown-selecter {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    padding: var(--dropdown-selecter-padding);
}

.dropdown-item {
    display: inline-block;
    line-height: 1.5;
    color: var(--dropdown-item-color);
    width: var(--dropdown-item-width);
    padding: var(--dropdown-item-padding-y) var(--dropdown-item-padding-x);
}

.dropdown-item:hover {
    color: var(--dropdown-item-hover-color);
    background-color: var(--dropdown-item-hover-bg);
    border-radius: 3px;
}

.dropdown-item [type=checkbox] {
    flex-shrink: 0;
    width: 1em;
    height: 1em;
    margin-top: 0.25em;
    vertical-align: top;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;    
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    border-radius: 0.25rem;
    margin-right: 0.25rem;
    -webkit-print-color-adjust: exact;
    color-adjust: exact;
    print-color-adjust: exact;
}

.dropdown-item [type=checkbox]:focus {
    border-color: #86b7fe;
    outline: 0;
    box-shadow: 0 0 0 0.25rem rgba(13, 110, 253, 0.25);
}

.dropdown-item [type=checkbox]:active {
    filter: brightness(90%);
}

.dropdown-item [type=checkbox]:checked {
    background-color: #0d6efd;
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3e%3cpath fill='none' stroke='%23fff' stroke-linecap='round' stroke-linejoin='round' stroke-width='3' d='m6 10 3 3 6-6'/%3e%3c/svg%3e");
    border-color: #0d6efd;
}